"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getReplicationState = async pool => {
  try {
    const response = await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}/api/replication-state`);
    const state = await response.json();
    return state;
  } catch (error) {
    if (error.name === 'AbortError' || error.name === 'FetchError') {
      const state = {
        status: 'error',
        statusData: {
          name: error.name,
          message: error.message,
          stack: error.stack ? error.stack : null
        },
        paused: false,
        iterator: null,
        successEvent: null
      };
      return state;
    } else {
      throw error;
    }
  }
};

var _default = getReplicationState;
exports.default = _default;
//# sourceMappingURL=get-replication-state.js.map